import alk.Alkoholos;
import alk.Aszu;
import alk.ErjedtGyumolcs;

public class Iszakos {
  private double turesHatar;
  private double alkoholSzint;
  
  public Iszakos(double turesHatar) {
    this.turesHatar = turesHatar;
    this.alkoholSzint = 0.0;
  }
  
  public void elfogyaszt(Alkoholos a) {
    System.out.println("Adtak egy " + a.toString() + " és elfogyasztottam.");
    alkoholSzint += a.getAlkoholTartalom();
  }
  
  public int mennyitMutatok(int u) {
    int l = (alkoholSzint <= turesHatar) ? u : (u*3)/2;
    System.out.println("Megkerdeztek mennyit mutatnak: en megmondtam, hogy "+l+"-t latok"+((l!=u) ? ", de ok azt mondtak, hogy "+u+"-t mutattak" : ""));
    return l;
  }
  
  public static void main(String[] args) {
    Iszakos iszakos = new Iszakos(5);

    iszakos.elfogyaszt(new Aszu(4, "Tokaj", 2.2));
    iszakos.mennyitMutatok(3);

    iszakos.elfogyaszt(new Aszu(4, "Tokaj", 2.2));
    iszakos.mennyitMutatok(4);

    iszakos.elfogyaszt(new ErjedtGyumolcs("korte", "edes", 0.9));
    iszakos.mennyitMutatok(5);
  }

}
